> For the complete documentation index, see [llms.txt](https://docs.zapiet.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapiet.com/reference/local-delivery/times.md).

# Times

## Get delivery times

<mark style="color:blue;">`GET`</mark> `https://api.zapiet.com/v1.0/delivery/locations/:locationId/calendar/:date`

This endpoint allows you to get delivery times for a given date.

#### Path Parameters

| Name                                         | Type   | Description                                                   |
| -------------------------------------------- | ------ | ------------------------------------------------------------- |
| date<mark style="color:red;">\*</mark>       | string | The date you would like to get delivery times for YYYY-MM-DD. |
| locationId<mark style="color:red;">\*</mark> | string | The Zapiet location ID.                                       |

#### Query Parameters

| Name                                   | Type   | Description                             |
| -------------------------------------- | ------ | --------------------------------------- |
| shop<mark style="color:red;">\*</mark> | string | The merchant's myshopify.com store url. |

{% tabs %}
{% tab title="200 " %}

```javascript
[{
	"id": 2408,
	"day_of_week": "thursday",
	"available_from": "10:00",
	"available_until": "12:00",
	"limited": true,
	"limit": 10
}, {
	"id": 402223,
	"day_of_week": "thursday",
	"available_from": "12:00",
	"available_until": "14:00",
	"limited": true,
	"limit": 10
}, {
	"id": 402224,
	"day_of_week": "thursday",
	"available_from": "13:00",
	"available_until": "14:00",
	"limited": true,
	"limit": 10
}]
```

{% endtab %}
{% endtabs %}
